Create a Batch

Overview 

This API resource creates a batch of privacy setting changes. The call returns a batch_id you then use to GET the status of the batch changes.

Method and Endpoint 

POST https://app.igodigital.com/api/v2/organization/{customer_mid}/privacy

URL Parameters 

NameTypeDescription
customer_midstringID for the account.

JSON Parameters 

NameTypeRequiredDescription
batcharrayYesContains key value pairs where the key represents a profile ID and the value is an array of strings representing the intended state of the profile’s privacy settings after the record is processed. To remove any existing privacy settings for a profile, pass an empty array, such as [].

Privacy Values to Restrict 

To apply the privacy states to the profile, include one or more of these values in the array.

ValueDescription
do_not_trackPrevents data received via collect from being saved by Personalization Builder.
do_not_profilePrevents using the profile in generating recommendations.
do_not_processPrevents processing of the profile’s data.

Privacy Values for Right to be Forgotten 

These values represent exclusive actions for a single profile. Don’t use them with any other processing strings in that profile’s array.

ValueDescription
rtbf_deleteImmediately deletes the profile and its associated data.
rtbf_suppressDeletes the profile and its associated data after a suppression period of up to 30 days. You can change the suppression period privacy setting. Fourteen days is the default.
remove_rtbf_suppressStops a previously scheduled profile deletion.

Example Request 

1Host:  https://app.igodigital.com
2POST /api/v2/organization/12345678/privacy
3Content-Type: application/json
4Authorization: Bearer YOUR_API_KEY
5
6{
7    "batch": {
8        "hashed-id-01": ["do_not_track"], // Adds "do_not_track" privacy setting, removes "do_not_profile" or "do_not_process" if they were previously set
9        "hashed-id-02": ["do_not_profile"], // Adds "do_not_profile" privacy setting, removes "do_not_track" or "do_not_process" if they were previously set
10        "hashed-id-03": ["do_not_process"], // Adds "do_not_process" privacy setting, removes "do_not_profile" or "do_not_track" if they were previously set
11        "hashed-id-04": ["do_not_track", "do_not_profile"], // Adds "do_not_track" and "do_not_profile" privacy settings, removes "do_not_process" if it was previously set
12        "hashed-id-05": ["do_not_track", "do_not_process"], // Adds "do_not_track" and "do_not_process" privacy settings, removes "do_not_profile" if it was previously set
13        "hashed-id-06": ["do_not_profile", "do_not_process"], // Adds "do_not_profile" and "do_not_process" privacy settings, removes "do_not_track" if it was previously set
14        "hashed-id-07": ["do_not_track", "do_not_profile", "do_not_process"], // Adds "do_not_track", "do_not_profile" and "do_not_process" privacy settings
15        "hashed-id-08": [], // Removes any existing privacy settings for profile
16        "hashed-id-09": ["rtbf_delete"], // Deletes profile and associated data
17        "hashed-id-10": ["rtbf_suppress"] // Deletes profile and associated data after suppression period
18    }
19}

Example Response 

1{
2    "batch_id": "af417962-c188-4110-adc2-7ea67590e254"
3}